package dev.kske.undoredo.core;

/**
 * @author Kai S. K. Engelbart
 * @since 0.0.1
 */
class IntChange implements Change {

	private final IntWrapper	wrapper;
	private final int			value;

	IntChange(IntWrapper wrapper, int value) {
		this.wrapper	= wrapper;
		this.value		= value;
	}

	@Override
	public void apply() {
		wrapper.value += value;
	}

	@Override
	public Change invert() {
		return new IntChange(wrapper, -value);
	}

	@Override
	public boolean isIdentity() {
		return value == 0;
	}
}
